#
# spec file for package eog-plugins (Version 2.30.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           eog-plugins
Version:        2.30.1
Release:        1
#FIXME: add postr BuildRequires when we have a package
License:        GPLv2+
Summary:        A collection of plugins for Eye of GNOME
Group:          Productivity/Graphics/Viewers
Url:            http://live.gnome.org/EyeOfGnome/Plugins
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  clutter-gtk-devel
BuildRequires:  eog-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libchamplain-devel
BuildRequires:  libexif-devel
BuildRequires:  libgdata-devel
BuildRequires:  python-gnome-devel
BuildRequires:  python-gobject2-devel
BuildRequires:  python-gtk-devel
BuildRequires:  translation-update-upstream
Requires:       %{name}-lang = %{version}
Requires:       eog
Enhances:       eog
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains plugins for additional features in Eye of GNOME.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure \
        --with-plugins=all \
        --enable-python
%__make %{?jobs:-j%jobs}

%install
%makeinstall
%find_lang %{name}
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}/%{_libdir}/eog/plugins

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/eog/plugins/*.py*
%{_libdir}/eog/plugins/*.so
%{_libdir}/eog/plugins/exif-display/
%{_libdir}/eog/plugins/postasa/
# Explicit list of plugins
%{_libdir}/eog/plugins/exif-display.eog-plugin
%{_libdir}/eog/plugins/fit-to-width.eog-plugin
%{_libdir}/eog/plugins/map.eog-plugin
%{_libdir}/eog/plugins/postasa.eog-plugin
%{_libdir}/eog/plugins/pythonconsole.eog-plugin
%{_libdir}/eog/plugins/send-by-mail.eog-plugin
%{_libdir}/eog/plugins/slideshowshuffle.eog-plugin

%files lang -f %{name}.lang

%changelog
